import { outdent } from "outdent";

export function formatChatMLPrompt(system: string, prompt: string) {
  return `<|im_start|>system\n${system}<|im_end|>\n<|im_start|>user\n${prompt}<|im_end|>\n<|im_start|>assistant\n`;
}

export function formatBasicPrompt(system: string, prompt: string) {
  return outdent`
    Instructions: 
    ${system}

    ${prompt}`;
}

export function formatInstructPrompt(system: string, prompt: string) {
  return outdent`
  <s>[INST] Instructions:\n${system}\n${prompt} [/INST]`;
}